<?php

namespace kernel\filters;

use itguild\forms\builders\SelectBuilder;
use Itguild\Tables\Filter\Filter;
use kernel\helpers\Debug;

class CustomSelectFilterForAssociativeArr extends Filter
{

    public function fetch(): string
    {
        $select = SelectBuilder::build($this->name, [
            'class' => 'form-control',
            'options' => $this->param,
            'value' => $this->value,
        ]);

        return "<td>" . $select->create()->fetch() . "</td>";
    }
}